# Class FisherStrandFilter

java.lang.Object
picard.vcf.filter.FisherStrandFilter

All Implemented Interfaces:
  `VariantFilter`

public class FisherStrandFilter extends Object implements VariantFilter
Filters records based on the phred scaled p-value from the Fisher Strand test stored in the FS attribute.

## Constructor Summary

Constructors
Constructor
Description
`FisherStrandFilter(double maxPhredScalePValue)`

## Method Summary

Modifier and Type
Method
Description
`String`
`filter(htsjdk.variant.variantcontext.VariantContext ctx)`
Check to see if the VariantContext should have a filter applied to it.
`List<htsjdk.variant.vcf.VCFFilterHeaderLine>`
`headerLines()`
Return VCF header lines that define filters that may be applied by the VariantFilter.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FisherStrandFilter

public FisherStrandFilter(double maxPhredScalePValue)

## Method Details

### headerLines

public List<htsjdk.variant.vcf.VCFFilterHeaderLine> headerLines()
Description copied from interface: `VariantFilter`
Return VCF header lines that define filters that may be applied by the VariantFilter.

Specified by:
  `headerLines` in interface `VariantFilter`

### filter

public String filter(htsjdk.variant.variantcontext.VariantContext ctx)
Description copied from interface: `VariantFilter`
Check to see if the VariantContext should have a filter applied to it. If so return the filter string, otherwise return null.

Specified by:
  `filter` in interface `VariantFilter`